Trigger Import

POST
https://api.woosmap.com/datasets/{dataset_id}/import

Trigger the dataset import.

Rate limit: 1/90s

Ratelimit: 1/90s

Authorization

private_key
apiKey query

Private key with write permission. Must stay private.

X-Api-Key
apiKey header

Private key with write permission. Must stay private.

Path Parameters

dataset_id
string required

Response

202 application/json

Successful Response

dataset_id
string (uuid) required

The dataset id that was scheduled for import.

Errors

401

Unable to locate credentials.

application/json
detail
string required
402

Out of free quota.

application/json
detail
string required
403

Credentials found, but not matching.

application/json
detail
string required
404

Dataset was not found

application/json
details
string required
422

Validation Error

application/json
detail
object[]
Show 3 propertiesHide 3 properties
detail. loc
any[] required
detail. msg
string required
detail. type
string required
429

Rate limit reached

application/json
details
string required
        curl -L 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/import?private_key=YOUR_PRIVATE_API_KEY' \
-H 'content-type: application/json' \
-d '{}'

    
        const myHeaders = new Headers();
myHeaders.append("content-type", "application/json");

const raw = JSON.stringify({});

const requestOptions = {
  method: "POST",
  headers: myHeaders,
  body: raw,
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/import?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));

    
        import requests
import json

url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/import?private_key=YOUR_PRIVATE_API_KEY"

payload = json.dumps({})
headers = {
    'content-type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)


    
Was this helpful?